#ifndef STRING_EXT_HPP
#define STRING_EXT_HPP
#include <string>
#include <vector>

using std::vector;
using std::string;

void chomp_front_ext(string & s);
void chomp_end_ext(string & s);
void chomp_ext(string & s);

//the caller has to allocate the enough buffer to hold the array
//the caller has to deallocate the memory!!!
//return the number of elements parsed
int split_ext(const string& s, string* buf, const char& delim);

//check whether the input str is a number format
//return 1 for a good integer number or a float format with trailing zeros follow '.'
//return 2 for a float integer number
//return 0 for a non-number format,
//no scientific format allowed
//+, - are consider as good format
int is_number(const char* str);


#endif
